package com.emr.dao.templateSearch;

import com.emr.entity.templateSearch.Emr_Customize;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Emr_CustomizeMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Emr_Customize record);

    int insertSelective(Emr_Customize record);

    Emr_Customize selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Emr_Customize record);

    int updateByPrimaryKey(Emr_Customize record);
    /**验证字段名称在同一节点下是否重复*/
    Integer selectListCheckName(@Param("parentId")Integer parentId,@Param("columnName")String columnName);
    /**验证字段值+表名是否重复*/
    Integer checkColumnExist(@Param("columnValue")String columnValue,@Param("tableValue")String tableValue);
    /**组织模板树*/
    List<Emr_Customize> selectAllByTree();
    /**全查只查询有效*/
    List<Emr_Customize> selectAll();
    /**全查父集有效*/
    List<Emr_Customize> selectParents();
}